# $Revision: 1.10 $, $Date: 2012/03/30 23:10:54 $
#
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_with	kernel		# don't build kernel modules
%bcond_without	userspace	# don't build userspace programs
%bcond_with	verbose		# verbose build (V=1)

%if %{without kernel}
%undefine	with_dist_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif
%if %{without userspace}
# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0
%endif

%define		rel	5
%define		pname	ipheth
Summary:	iPhone USB Ethernet Driver
Name:		%{pname}%{_alt_kernel}
Version:	1.0
Release:	%{rel}
License:	BSD/GPL v2
Group:		X11/Applications
Source0:	https://github.com/downloads/dgiagio/ipheth/ipheth-%{version}.tar.gz
# Source0-md5:	80548f0d419ff0c2784d148b40b2aeb6
URL:		http://giagio.com/wiki/moin.cgi/iPhoneEthernetDriver
BuildRequires:	libimobiledevice-devel
Requires:	udev-core
Requires:	usbmuxd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Linux Kernel driver that adds support for iPhone tethering
through USB cables. Unlike other solutions out there, you don't need
to jailbreak your phone or install third-party proxy applications.

%package -n kernel%{_alt_kernel}-net-ipheth
Summary:	Linux driver for iPhone USB Ethernet Driver
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif

%description -n kernel%{_alt_kernel}-net-ipheth
Linux driver for iPhone USB Ethernet Driver.

%prep
%setup -q

%build
%if %{with kernel}
%build_kernel_modules -C ipheth-driver -m ipheth CONFIG_DEBUG_SECTION_MISMATCH=y
%endif
%if %{with userspace}
%{__make} -C ipheth-pair \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with kernel}
%install_kernel_modules -m ipheth-driver/ipheth -d misc -s update -n %{pname}
cat <<'EOF' >> $RPM_BUILD_ROOT/etc/modprobe.d/%{_kernel_ver}/%{pname}.conf
blacklist %{pname}
EOF
%endif

%if %{with userspace}
install -d $RPM_BUILD_ROOT/lib/udev/rules.d
install -p ipheth-pair/ipheth-pair $RPM_BUILD_ROOT/lib/udev
cp -p ipheth-pair/90-iphone-tether.rules $RPM_BUILD_ROOT/lib/udev/rules.d
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-net-ipheth
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-net-ipheth
%depmod %{_kernel_ver}

%files
%defattr(644,root,root,755)
/lib/udev/rules.d/90-iphone-tether.rules
%attr(755,root,root) /lib/udev/ipheth-pair

%if %{with kernel}
%files -n kernel%{_alt_kernel}-net-ipheth
%defattr(644,root,root,755)
/etc/modprobe.d/%{_kernel_ver}/%{pname}.conf
/lib/modules/%{_kernel_ver}/misc/*.ko*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ipheth.spec,v $
Revision 1.10  2012/03/30 23:10:54  arekm
- release 5

Revision 1.9  2011/08/14 16:39:39  glen
- typo

Revision 1.8  2011/08/14 13:42:29  glen
- make udev rules static, not config
- note, ethernet success with 3GS (iOS 4.3) on 2.6.38.8 kernel

Revision 1.7  2011/08/13 08:58:59  glen
- if building kernel module, re-alias to use our module update

Revision 1.6  2011/08/13 08:20:07  glen
- quite useless without usbmuxd

Revision 1.5  2011/08/13 07:18:04  glen
- source url

Revision 1.4  2011/07/04 18:09:03  zbyniu
- up to 1.0

Revision 1.3  2010/12/31 19:02:36  glen
- new snap

Revision 1.2  2010/07/18 16:26:26  glen
- kernel part (still disabled as module included in 2.6.34)

Revision 1.1  2010/07/18 15:14:53  glen
- new, just userspace
